Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface EventHandler

All Superinterfaces:
  EventListener

All Known Subinterfaces:
  KeyHandler, MouseHandler

    public interface EventHandler

extends EventListener

Common abstraction whose implementations can associate different key handlers with a Component to switch key handling states easily.

See Also:
  `EventManager`

Method Summary
`void` | `handlerDisabled()` Invoked when the handler is temporarily disabled.
`void` | `handlerEnabled()` Invoked when the handler is first enabled, or reenabled after being temporarily disabled.
`void` | `handlerRemoved()` Invoked when the handler is permanently removed.

Method Detail

### handlerEnabled

    void handlerEnabled()

  Invoked when the handler is first enabled, or reenabled after being temporarily disabled.

  See Also:
    `handlerDisabled()`

### handlerDisabled

    void handlerDisabled()

  Invoked when the handler is temporarily disabled.

  See Also:
    `handlerEnabled()`

### handlerRemoved

    void handlerRemoved()

  Invoked when the handler is permanently removed.

  TODO:
    According `EventManagerSupport` implementation, a handler is disabled before to be removed. The specification should said that.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.